Search Results for

Show / Hide Table of Contents

# Class HorizontalAxis

The horizontal (x axis) of a GraphView

##### Inheritance

System.Object
Axis
HorizontalAxis

##### Inherited Members

Axis.Orientation
Axis.Increment
Axis.ShowLabelsEvery
Axis.Visible
Axis.LabelGetter
Axis.Text
Axis.Minimum
Axis.Reset()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class HorizontalAxis : Axis

### Constructors

#### HorizontalAxis()

Creates a new instance of axis with an Orientation of Horizontal

##### Declaration

    public HorizontalAxis()

### Methods

#### DrawAxisLabel(GraphView, Int32, String)

Draws the given `text` on the axis at x `screenPosition`. For the screen y position use GetAxisYPosition(GraphView)

##### Declaration

    public override void DrawAxisLabel(GraphView graph, int screenPosition, string text)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph | Graph being drawn onto
System.Int32 | screenPosition | Number of screen columns along the axis to take before rendering
System.String | text | Text to render under the axis tick

##### Overrides

Axis.DrawAxisLabel(GraphView, Int32, String)

#### DrawAxisLabels(GraphView)

Draws the horizontal x axis labels and Increment ticks

##### Declaration

    public override void DrawAxisLabels(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Overrides

Axis.DrawAxisLabels(GraphView)

#### DrawAxisLine(GraphView)

Draws the horizontal axis line

##### Declaration

    public override void DrawAxisLine(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Overrides

Axis.DrawAxisLine(GraphView)

#### DrawAxisLine(GraphView, Int32, Int32)

Draws a horizontal axis line at the given `x`, `y` screen coordinates

##### Declaration

    protected override void DrawAxisLine(GraphView graph, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |
System.Int32 | x |
System.Int32 | y |

##### Overrides

Axis.DrawAxisLine(GraphView, Int32, Int32)

#### GetAxisYPosition(GraphView)

Returns the Y screen position of the origin (typically 0,0) of graph space. Return value is bounded by the screen i.e. the axis is always rendered even if the origin is offscreen.

##### Declaration

    public int GetAxisYPosition(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

##### Returns

Type | Description
--- | ---
System.Int32 |